DELETE Withdraw enrollment
Withdraw (soft delete) an enrollment with audit trail. Sets status to 'withdrawn' rather than hard deleting the record.
Withdraw (soft delete) an enrollment with audit trail. Sets status to 'withdrawn' rather than hard deleting the record.
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
Unique identifier of the enrollment
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/course-enrollments/{id}"{ "data": { "success": true, "enrollment_id": "{enrollment_id}" }, "meta": { "deleted": true, "organization_id": "{organization_id}", "rls_validated": true, "note": "string" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}